'use strict';

module.exports = function(api) {
  let presets = [
    [
      '@babel/preset-env',
      {
        modules: false,
        targets: {
          browsers: ['> 5%', 'Explorer 11'],
        },
        useBuiltIns: 'entry',
      },
    ],
    '@babel/preset-react',
  ];

  const plugins = [
    '@babel/plugin-proposal-class-properties',
    '@babel/plugin-syntax-dynamic-import',
    '@babel/plugin-syntax-object-rest-spread',
    'transform-merge-sibling-variables',
    'transform-minify-booleans',
    ['@babel/plugin-transform-runtime', { corejs: 2 }],
  ];

  if (api.env('build')) {
    plugins.push('transform-remove-console');
  }

  // jest support for babel 7 is still being finalized, so we still need
  // babel 6 versions of some plugins.
  if (api.env('test')) {
    presets = [['@babel/preset-env'], '@babel/preset-react'];

    // needed so jest (which is node-flavored ecmascript) can use dynamic import statements
    // (which is browser-flavored ecmascript)
    plugins.push('syntax-dynamic-import');
    plugins.push('dynamic-import-node-babel-7');
  }

  return { presets, plugins };
};
