import React from 'react';
import PropTypes from 'prop-types';
import { cn } from '@express-labs/raven-tools';
import s from './ComponentName.scss';

export default class ComponentName extends React.Component {
  static meta = {
    VERSION: '1.0.0',
  };

  static propTypes = {
    // allows styling of the root element of this component, you should keep this
    className: PropTypes.string,

    // example of an optional passed in prop
    example: PropTypes.string,
  };

  static defaultProps = {
    className: null,
    example: 'Hello World: ComponentName',
  }

  render() {
    const {
      className,
      example,
    } = this.props;

    return (
      <div className={cn(s.wrapper, className)}>
        {example}
      </div>
    );
  }
}
