import React from 'react';
import { shallow } from 'enzyme';
import Error500 from '../Error500';

describe('<Error500>', () => {
  describe('<Error500> Views', () => {
    it('should render product details column', () => {
      const S = shallow(<Error500 />);

      expect(S.find('.button').length).toBe(3);
    });
  });
  describe('<Error500> Interactions', () => {
    it('should reset sku and skuIndex', () => {
      global.window.location.reload = jest.fn();

      const S = shallow(<Error500 />);
      const buttons = S.find('.button');
      let reloadButton;

      buttons.forEach((button) => {
        if (button.props().onClick) {
          reloadButton = button;
        }
      });

      reloadButton.simulate('click');

      expect(global.window.location.reload).toBeCalled();
    });
  });
});
