/* eslint-disable no-console */
// This is used for debugging while dev'ing. Do not keep this HOC in production code.

import React from 'react';
import PropTypes from 'prop-types';

export const DebugPropStream = props => {
  const { component: WrappedComponent, label, ...filteredProps } = props;

  console.group(label);
  console.log(filteredProps);
  console.groupEnd();

  return <WrappedComponent {...filteredProps} />;
};

DebugPropStream.propTypes = {
  component: PropTypes.func.isRequired,
  label: PropTypes.string,
};

DebugPropStream.defaultProps = {
  label: 'debugPropStream',
};

function debugPropStream(WrappedComponent, label) {
  const hoc = props => <DebugPropStream {...props} component={WrappedComponent} label={label} />;

  hoc.displayName = 'debugPropStream';

  return hoc;
}

function debugPropStreamFactory() {
  return label => Component => debugPropStream(Component, label);
}

export default debugPropStreamFactory();
